有料会員限定部分が読めなくなりました

フォーラム バグ報告 有料会員限定部分が読めなくなりました

  • このトピックには3件の返信、2人の参加者があり、最後にyskysmrにより10ヶ月、 3週前に更新されました。
4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • 投稿者
    投稿
  • #100408
    masato-hashimoto
    参加者

    ——————————————-
    WordPress のバージョン:(5.8)
    Welcart のバージョン:(2.8.19→2.8.18にダウンバージョンしたら現象が消えた)
    Welcart専用の拡張プラグインとバージョン:(DL Seller 3.4.7、WCEX Mobile 1.2.17)
    ご利用の親テーマとバージョン :(Welcart Default Them 1.2.1)
    ご利用の子テーマとバージョン :(なし)
    症状を確認したブラウザ:chrome Edge
    サーバー【重要】:(さくらインターネット、ビジネスプラン)
    ——————————————–

    有料会員限定部分を一部に含むサイトを運営しています。7月7日の夜に有料読者から「有料会員限定部分が読めない」という連絡があり、確認したところサイト全体について有料会員限定部分が読めなくなっていました。バックアップをとった上で全プラグインとテーマを更新したのですが、症状は変わらず、前日に「Welcart e-Commerce」のバージョンが「2.8.18」から「2.8.19」に自動更新されていたため、これが原因の可能性があると思い、「2.8.18」に戻したところ、症状が消えました。原因や今後の対応について、ご教示くだされば幸いです。

    弊社で有料会員限定部分を作成・運用している仕組みについては、こちらに詳細が出ています。

    【解決済】ステータス「キャンセル」が効かない
    https://www.welcart.com/community/forums/topic/%e3%82%b9%e3%83%86%e3%83%bc%e3%82%bf%e3%82%b9%e3%80%8c%e3%82%ad%e3%83%a3%e3%83%b3%e3%82%bb%e3%83%ab%e3%80%8d%e3%81%8c%e5%8a%b9%e3%81%8b%e3%81%aa%e3%81%84

    どうぞよろしくお願いいたします。

    • このトピックはmasato-hashimotoが10ヶ月、 3週前に変更しました。
    #100410
    masato-hashimoto
    参加者

    ウェルカートのバージョン19から18に1つ戻すことで障害から回復していたのですが、また障害が発生しているとの指摘があり、確認したところプラグインのバージョンが19に自動更新されていました。ウェルカートのプラグインをバージョンダウンしないと不具合は解消されそうにないのですが、バージョンダウンしたものを自動更新されないようにする方法は無いのでしょうか?

    Attachments:
    You must be logged in to view attached files.
    #100412
    masato-hashimoto
    参加者

    ひとまず、プラグインの自動更新を止める記述を以下のサイトの記載にしたがって、functions.phpに追記しました。

    【WordPress】自動更新(アップデート)を停止させる方法
    https://otamunote.com/wordpress-update-stop/

    追記した内容
    add_filter( ‘auto_update_plugin’, ‘__return_false’ );

    この結果「Welcart e-Commerce」を含むすべてのプラグインの横に「自動更新無効」が表示されるようになり、「Welcart e-Commerce」の自動更新も止まったと思われますので、当面は不具合は再発しないかと思います。

    「2.8.19」に含まれていると思われる問題が消えましたら、バージョンをアップしたいと思いますので、お教えくだされば幸いです。

    #100418
    yskysmr
    キーマスター

    こんにちは。

    「有料会員限定部分」というのは貴社の独自のカスタマイズ部分と思われますが、大変申し訳ありませんが、原因や今後の対応については弊社では分かりかねます。
    恐れ入りますが、ご自身で 2.8.19のリリースノートを確認していただき、関連がありそうなところをお知らせください。
    ▼Welcart 2.8.19 をリリースしました
    https://www.welcart.com/archives/19612.html

    また、PHPのバージョンの記載がないのでお知らせいただけますでしょうか。WordPress のバージョンが少し低いのは、何か理由がありますでしょうか。

4件の投稿を表示中 - 1 - 4件目 (全4件中)
  • このトピックに返信するにはログインが必要です。